---
title: XRViewport.height
slug: Web/API/XRViewport/height
tags:
  - API
  - AR
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRViewport
  - augmented
  - height
  - size
  - viewport
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRViewport")}} property <code><strong>height</strong></code> specifies the height, in pixels, of the viewport onto the drawing surface within which the WebXR view is to be rendered.</span> Along with {{domxref("XRViewport.width", "width")}} and the origin point given by {{domxref("XRViewport.x", "x")}} and {{domxref("XRViewport.y", "y")}}, this defines the area within which rendered content will be drawn.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>height</em> = <em>xrViewport</em>.height;</pre>

<h3 id="Value">Value</h3>

<p>The viewport's height in pixels.</p>

<h2 id="Examples">Examples</h2>

<p>See the main {{domxref("XRViewport")}} page for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrviewport-height","XRViewport.height")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRViewport.height")}}</div>
